# Class AEADBadTagException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.crypto.BadPaddingException
javax.crypto.AEADBadTagException

All Implemented Interfaces:
  `Serializable`

public class AEADBadTagException extends BadPaddingException
This exception is thrown when a `Cipher` operating in an AEAD mode (such as GCM/CCM) is unable to verify the supplied authentication tag.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AEADBadTagException()`
Constructs an `AEADBadTagException` with no detail message.
`AEADBadTagException(String msg)`
Constructs an `AEADBadTagException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AEADBadTagException

public AEADBadTagException()
Constructs an `AEADBadTagException` with no detail message.

### AEADBadTagException

public AEADBadTagException(String msg)
Constructs an `AEADBadTagException` with the specified detail message.

Parameters:
  `msg` - the detail message.